<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# заголовок
$set['title']='Оружейная лавка';

# шапка
include_once '../../sys/inc/thead.php';
title();
err();
aut();

if (isset($user)){

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

#***************** Главный блок **************#
default:

# текст
echo '<div class="zona_menu">
<b>Еврей</b>: Выбирай братуха!<br/>
Кастеты при нападении разорвут морду любому .
</div>';

# выбор действий
echo '<div class="zona_aut"> Выбирите кастет :</div>';

# странички
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `zona_inventar` WHERE `type`='guns_3' "),0);


# пусто
if ($k_post==0)
{
echo '<div class="zona_menu"> Сори братуха , пока ничего нет .</div>';
}

# есть
else{

$sql=mysql_query("SELECT * FROM `zona_inventar` WHERE `type`='guns_3' ORDER BY `id`");

while ($row = mysql_fetch_assoc($sql)){

echo '<div class="zona_rekl">
<img src="img/guns/'.htmlspecialchars($row['link']).'" alt="*" /><br/>
'.htmlspecialchars($row['name']).' || ( <img src="../img/icon/icon_header_staff2.png" alt="*" /> '.(int)$row['cost'].' баксов .) || + '.(int)$row['uron'].' к урону <br/>[ <a href="gans_3.php?action=buy&amp;id='.$row['id'].'">прикупить</a> ]</div>';
}
}
break;

#************************ Покупка ************#
case 'buy':

# Проверяем и фильтруем переменные 
$id = isset($_GET['id']) ? abs(intval($_GET['id'])) : 0;

# проверим на коректность
if(!$id){
echo '<div class="zona_rekl">Пустые параметры!</div>';
include_once '../../sys/inc/tfoot.php';
exit;
}
# проверим товар
$sql=mysql_query("SELECT * FROM `zona_inventar` WHERE `type`='guns_3' AND `id`='$id' ");
$row=mysql_fetch_assoc($sql);

if(!mysql_num_rows($sql)){
echo '<div class="zona_rekl">Такого оружия не существует!</div>';
include_once '../../sys/inc/tfoot.php';
exit;
}

# существует продолжим
else {

# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_skvorets.gif" alt="*" /></div>';

if($user['zona_balls']<$row['cost']){

# текст
echo '<div class="zona_menu">
Чё папутал ???<br/>
У тебя нет столько баксов .<br/>
Будут бабки , тогда приходи.</div>';
}
else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_guns`='".$row['link']."' ,`zona_guns_efect`='".$row['uron']."' ,`zona_balls`=`zona_balls`-'".$row['cost']."' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Готово !<br/>
Твоя игрушка будет видна в меню твоего персонажа .
</div>';

}
}


break;

}


echo '<div class="zona_rekl"><img src="../img/icon/icon_a_dexterity.png" alt="*" /> <a href="gans.php"> Лавка</a></div>';

}
else{

echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';

}
include_once '../../sys/inc/tfoot.php';
?>
